## fflas-ffpack 1.6.0

=== benchmark/src/BLOCKING/Makefile ===
# Makefile.in generated by automake 1.11.5 from Makefile.am.
# benchmark/src/BLOCKING/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (c) FFLAS-FFPACK
# written by BB <bboyer@imag.fr>
# ========LICENCE========
# This file is part of the library FFLAS-FFPACK.
#
# FFLAS-FFPACK is free software: you can redistribute it and/or modify
# it under the terms of the  GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
# ========LICENCE========
#/

am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/fflas-ffpack
pkgincludedir = $(includedir)/fflas-ffpack
pkglibdir = $(libdir)/fflas-ffpack
pkglibexecdir = $(libexecdir)/fflas-ffpack
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = benchmark/src/BLOCKING
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/macros/aclocal-include.m4 \
	$(top_srcdir)/macros/blas-check.m4 \
	$(top_srcdir)/macros/blasATLAS-check.m4 \
	$(top_srcdir)/macros/blasGOTO-check.m4 \
	$(top_srcdir)/macros/blasGSL-check.m4 \
	$(top_srcdir)/macros/blasOTHER-check.m4 \
	$(top_srcdir)/macros/config-header.m4 \
	$(top_srcdir)/macros/debug.m4 \
	$(top_srcdir)/macros/fflas-ffpack-doc.m4 \
	$(top_srcdir)/macros/fflas-ffpack-misc.m4 \
	$(top_srcdir)/macros/fflas-ffpack-opt.m4 \
	$(top_srcdir)/macros/givaro-check.m4 \
	$(top_srcdir)/macros/gmp-check.m4 \
	$(top_srcdir)/macros/lapack-check.m4 \
	$(top_srcdir)/macros/libtool.m4 \
	$(top_srcdir)/macros/ltoptions.m4 \
	$(top_srcdir)/macros/ltsugar.m4 \
	$(top_srcdir)/macros/ltversion.m4 \
	$(top_srcdir)/macros/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
depcomp =
am__depfiles_maybe =
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/bruce/Fflas/build-aux/missing --run aclocal-1.11 -I macros
AMTAR = $${TAR-tar}
AR = ar
AUTOCONF = ${SHELL} /home/bruce/Fflas/build-aux/missing --run autoconf
AUTOHEADER = ${SHELL} /home/bruce/Fflas/build-aux/missing --run autoheader
AUTOMAKE = ${SHELL} /home/bruce/Fflas/build-aux/missing --run automake-1.11
AWK = gawk
BLAS_FOUND = true
BLAS_LIBS =   -lcblas -latlas -llapack
BLAS_PATH = /usr/lib
BLAS_VENDOR = ATLAS
CBLAS_FLAG = -D__FFLASFFPACK_HAVE_CBLAS
CC = gcc
CCNAM = gcc
CFLAGS = -g -O2
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXFLAGS =  
CYGPATH_W = echo
DBG = yes
DEBUG_CFLAGS = -g -DDEBUG -DFFLASFFPACK_DEBUG
DEFAULT_CFLAGS = -O0 -pipe  -Wall -Wextra -Wno-unused-parameter -Wuninitialized -Wconversion -Wcast-qual -ansi -pedantic -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wno-long-long -g -DDEBUG -DFFLASFFPACK_DEBUG
DEFS = -DHAVE_CONFIG_H
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FFLASFFPACK_DOC_PATH = /tmp/docs
FGREP = /bin/grep -F
GIVARO_CFLAGS = 
GIVARO_LIBS = 
GMP_CFLAGS = 
GMP_LIBS = -lgmpxx -lgmp
GMP_VERSION = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LAPACK_LIBS = -llapack
LD = /usr/x86_64-pc-linux-gnu/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/bruce/Fflas/build-aux/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = fflas-ffpack
PACKAGE_BUGREPORT = ffpack-devel@googlegroups.com
PACKAGE_NAME = FFLAS-FFPACK
PACKAGE_STRING = FFLAS-FFPACK 1.6.0
PACKAGE_TARNAME = fflas-ffpack
PACKAGE_URL = http://www.linalg.org/projects/fflas-ffpack
PACKAGE_VERSION = 1.6.0
PATH_SEPARATOR = :
PROF = no
RANLIB = ranlib
RM = /bin/rm -f
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TESTS_CFLAGS = -O0 -Wall -Wextra -Wno-unused-parameter -Wuninitialized -Wconversion -Wcast-qual -ansi -pedantic -Wshadow -Wpointer-arith -Wcast-align -Wwrite-strings -Wno-long-long -g -DDEBUG -DFFLASFFPACK_DEBUG
VERSION = 1.6.0
WARN = full
abs_builddir = /home/bruce/Fflas/benchmark/src/BLOCKING
abs_srcdir = /home/bruce/Fflas/benchmark/src/BLOCKING
abs_top_builddir = /home/bruce/Fflas
abs_top_srcdir = /home/bruce/Fflas
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__leading_dot = .
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/bruce/Fflas/build-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /tmp
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../../../
top_builddir = ../../..
top_srcdir = ../../..

#
# Nothing yet
EXTRA_DIST = gnucommand  Makefile  Makefile.am  mesure.sh  mulMM.C  plot1-mulMM  tblockmat.C
OPTFLAGS = -O7 -funroll-all-loops -frerun-loop-opt \
	-fexpensive-optimizations -felide-constructors -ffast-math \
	-fforce-addr -fforce-mem -fstrength-reduce -fstrict-aliasing
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu --ignore-deps benchmark/src/BLOCKING/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu --ignore-deps benchmark/src/BLOCKING/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

=== debian/changelog ===
fflas-ffpack (1.6.0-1) unstable; urgency=low

  * Initial release (Closes: #676946)

 -- Lifeng Sun <lifongsun@gmail.com>  Sun, 17 Jun 2012 21:23:22 +0800

=== debian/control ===
Source: fflas-ffpack
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Lifeng Sun <lifongsun@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), autotools-dev, libgmp-dev, libblas-dev, libgivaro-dev (>= 3.7.0), libgivaro-dev (<< 3.8.0), liblapack-dev
Build-Depends-Indep: doxygen-latex, texlive-math-extra
Standards-Version: 3.9.3
Homepage: http://www-ljk.imag.fr/membres/Jean-Guillaume.Dumas/FFLAS/
Vcs-Git: git://git.debian.org/git/debian-science/packages/fflas-ffpack.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/fflas-ffpack.git

Package: fflas-ffpack
Architecture: any
Depends: fflas-ffpack-common (= ${source:Version}), ${misc:Depends}
Suggests: fflas-ffpack-user-doc, fflas-ffpack-dev-doc
Description: Finite field linear algebra subroutines/package
 FFLAS-FFPACK consists in the creation of a set of routines, giving
 the same tools as a set of classical Basic Linear Algebra
 Subroutines, but working over finite fields. In the same way, some
 other routines of higher level (such as the one in LAPACK) are also
 produced.

Package: fflas-ffpack-common
Architecture: all
Depends: ${misc:Depends}
Description: Finite field linear algebra subroutines/package - common files
 FFLAS-FFPACK consists in the creation of a set of routines, giving
 the same tools as a set of classical Basic Linear Algebra
 Subroutines, but working over finite fields. In the same way, some
 other routines of higher level (such as the one in LAPACK) are also
 produced.
 .
 This package provies architecture independent header files.

Package: fflas-ffpack-user-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: FFLAS-FFPACK User Documentation
 FFLAS-FFPACK consists in the creation of a set of routines, giving
 the same tools as a set of classical Basic Linear Algebra
 Subroutines, but working over finite fields. In the same way, some
 other routines of higher level (such as the one in LAPACK) are also
 produced.
 .
 This package provies user's documentation of FFLAS-FFPACK.

Package: fflas-ffpack-dev-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: FFLAS-FFPACK Developer Documentation
 FFLAS-FFPACK consists in the creation of a set of routines, giving
 the same tools as a set of classical Basic Linear Algebra
 Subroutines, but working over finite fields. In the same way, some
 other routines of higher level (such as the one in LAPACK) are also
 produced.
 .
 This package provies developer's documentation of FFLAS-FFPACK.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-all

override_dh_auto_build-indep:
	dh_testdir
	$(MAKE) docs_dev

%:
	dh $@  --with autotools-dev

=== debian/watch ===
version=3

http://linalg.org/projects/fflas-ffpack .*fflas-ffpack-(.*)\.tar\.gz

## fflas-ffpack 2.2.2

=== debian/changelog ===
fflas-ffpack (2.2.2-4) unstable; urgency=medium

  * debian/rules
    - Add -fno-strict-aliasing to CXXFLAGS; fixes FTBFS on armel.

 -- Doug Torrance <dtorrance@piedmont.edu>  Sun, 08 Jan 2017 13:22:58 -0500

fflas-ffpack (2.2.2-3) unstable; urgency=medium

  * Team upload.
  * Add fix_ftbfs_bigendian.patch:
    Apply patch from upstream pull request #72 to fix FTBFS
    on big endian architectures. (Closes: #840454)
  * Add patch do-not-fail-cp-INSTALL.patch:
    This file may not exist leading to FTBFS.

 -- Tobias Hansen <thansen@debian.org>  Sat, 07 Jan 2017 10:52:32 +0100

fflas-ffpack (2.2.2-2) unstable; urgency=medium

  * debian/fflas-ffpack-common.install
    - Add new checkers directory.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 02 Sep 2016 23:31:15 -0400

fflas-ffpack (2.2.2-1) unstable; urgency=medium

  * New upstream release.
    - Builds with givaro 4.0.2 (Closes: #835759).
  * debian/control
    - Bump maximum version of libgivaro-dev in Build-Depends to 4.0.3.
    - Add pkg-config to Build-Depends.
  * debian/docs
    - Rename README to README.md.
  * debian/patches/pkg-config-bad-directive.patch
    - Refresh for new version.
  * debian/patches/skip-test-ftrsm.patch
    - New patch; skips failing test.
  * debian/rules
    - Replace --disable-{avx,sse} options to dh_auto_configure with
      --disable-simd.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 30 Aug 2016 19:29:47 -0400

fflas-ffpack (2.2.1-2) unstable; urgency=medium

  * debian/rules
    - Disable processor extensions. May be present at build but not runtime
      (Closes: #833846).

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 09 Aug 2016 08:47:36 -0400

fflas-ffpack (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Tidy packaging with wrap-and-sort.
  * debian/clean
    - New file; clean generated files.
  * debian/{compat,control}
    - Bump debhelper compatibility level to 9.
  * debian/control
    - Add myself to Uploaders.
    - Remove DM-Upload-Allowed..
    - Bump Standards-Version to 3.9.8.
    - Update Homepage and Vcs-*.
    - Update versioned dependencies on libgivaro-dev.
    - Fix typo (Closes: #745298).
  * debian/{control,rules}
    - Switch from autotools-dev to dh-autoreconf.
  * debian/copyright
    - Update Format and Source.
    - Remove files which no longer exist.
  * debian/fflas-ffpack.install
    - Install pkg-config file.
    - Install config.h.
  * debian/fflas-ffpack-common.install
    - Remove fflas-ffpack-configuration.h; file no longer exists.
    - Install fflas-ffpack/paladin directory.
  * debian/fflas-ffpack-{dev,user}-doc.lintian-overrides
    - Override embedded-javascript-library for jquery embedded by doxygen.
  * debian/patches/fix-file-path-in-doc.patch
    - Refresh for new release.
    - Add DEP3 header.
  * debian/patches/pkg-config-bad-directive.patch
    - New patch; avoid pkg-config-bad-directive Lintian error by not shipping
      all the compiler flags used when building fflas-ffpack in the pkg-config
      file.
  * debian/rules
    - Specify BLAS and LAPACK LIBS.
  * debian/tests
    - Add autopkgtest support.
  * debian/watch
    - Bump to version 4 and update download location.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 19 Jul 2016 14:44:40 -0400

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,26 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Lifeng Sun <lifongsun@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.0.0), autotools-dev, libgmp-dev, libblas-dev, libgivaro-dev (>= 3.7.0), libgivaro-dev (<< 3.8.0), liblapack-dev
+Uploaders: Lifeng Sun <lifongsun@gmail.com>,
+           Doug Torrance <dtorrance@piedmont.edu>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               libblas-dev,
+               libgivaro-dev (<< 4.0.3),
+               libgivaro-dev (>= 4.0.1),
+               libgmp-dev,
+               liblapack-dev,
+               pkg-config
 Build-Depends-Indep: doxygen-latex, texlive-math-extra
-Standards-Version: 3.9.3
-Homepage: http://www-ljk.imag.fr/membres/Jean-Guillaume.Dumas/FFLAS/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/fflas-ffpack.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/fflas-ffpack.git
+Standards-Version: 3.9.8
+Homepage: http://linbox-team.github.io/fflas-ffpack/
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fflas-ffpack.git
+Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fflas-ffpack.git
 
 Package: fflas-ffpack
 Architecture: any
 Depends: fflas-ffpack-common (= ${source:Version}), ${misc:Depends}
-Suggests: fflas-ffpack-user-doc, fflas-ffpack-dev-doc
+Suggests: fflas-ffpack-dev-doc, fflas-ffpack-user-doc
 Description: Finite field linear algebra subroutines/package
  FFLAS-FFPACK consists in the creation of a set of routines, giving
  the same tools as a set of classical Basic Linear Algebra
@@ -32,7 +39,7 @@
  other routines of higher level (such as the one in LAPACK) are also
  produced.
  .
- This package provies architecture independent header files.
+ This package provides architecture independent header files.
 
 Package: fflas-ffpack-user-doc
 Section: doc
@@ -45,7 +52,7 @@
  other routines of higher level (such as the one in LAPACK) are also
  produced.
  .
- This package provies user's documentation of FFLAS-FFPACK.
+ This package provides user's documentation of FFLAS-FFPACK.
 
 Package: fflas-ffpack-dev-doc
 Section: doc
@@ -58,4 +65,4 @@
  other routines of higher level (such as the one in LAPACK) are also
  produced.
  .
- This package provies developer's documentation of FFLAS-FFPACK.
+ This package provides developer's documentation of FFLAS-FFPACK.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# needed for armel build; inspired by
# http://pkgs.fedoraproject.org/cgit/rpms/fflas-ffpack.git/commit/?id=76a0a82
export DEB_CXXFLAGS_MAINT_APPEND = -fno-strict-aliasing

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-all \
		--with-blas-libs="-lblas -llapack" --disable-simd

override_dh_auto_build-indep:
	dh_testdir
	$(MAKE) docs_dev

%:
	dh $@  --with autoreconf

=== debian/tests/control ===
Tests: upstream-tests
Depends: build-essential,fflas-ffpack, libgmp-dev, libgivaro-dev, libblas-dev,
	 liblapack-dev, pkg-config

=== debian/watch ===
version=4
https://github.com/linbox-team/fflas-ffpack/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## fflas-ffpack 2.3.2

=== debian/changelog ===
fflas-ffpack (2.3.2-3) unstable; urgency=medium

  * debian/compat
    - Bump debhelper compatibility level to 11.
  * debian/control
    - Bump versioned dependency on debhelper to >= 11.
    - Bump Standards-Version to 4.2.1.
  * debian/copyright
    - Remove paragraph for fflas-ffpack/utils/print-utils.h; file no longer
      exists.
  * debian/docs
    - Remove nonexistent NEWS.
  * debian/fflas-ffpack-*-doc.doc-base
    - Update paths to documentation.
  * debian/fflas-ffpack-*-doc.docs
    - Install documentation subdirectories instead of files within these
      subdirectories.  Since both documentation packages now install to
      /usr/share/fflas-ffpack, we do not want any file conflicts.
  * debian/fflas-ffpack-*-doc.lintian-overrides
    - Remove files; as of v2.5.57, lintian no longer warns when there are
      embedded jQuery libraries for Doxygen.
  * debian/patches/do-not-cp-INSTALL-or-COPYING.patch
    - Rename patch from do-not-fail-cp-INSTALL.patch.  We also do not copy
      COPYING as the extra copies resulted in extra-license-file lintian
      warnings.
  * debian/patches/fix-fgemm-check-tests.patch
    - New patch replacing skip-fgemm-check-tests.patch; fix for failing tests
      from upstream git.
  * debian/patches/fix-file-path-in-doc.patch
    - Remove patch; no longer necessary as our documentation directory
      structure matches upstream's.
  * debian/rules
    - Disable SSE and SSE2 on i386 (Closes: #907010).
    - Skip failing tests on big-endian 32-bit architectures (Closes: #902753).
    - New override_dh_installdocs target; install all docs to
      /usr/share/doc/fflas-ffpack as suggested in Debian Policy section 12.3.
  * debian/upstream/metadata
    - New DEP-12 file with citation information.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 02 Oct 2018 20:19:30 -0400

fflas-ffpack (2.3.2-2) unstable; urgency=medium

  * debian/tests/upstream-tests
    - Fix typo in test name (Closes: #902441).
    - Remove test-interfaces-c since we don't precompile the standard
      specializations.
    - Create directory needed by test-io.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 27 Jun 2018 00:57:05 -0400

fflas-ffpack (2.3.2-1) unstable; urgency=medium

  * Team upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Tue, 26 Jun 2018 11:15:09 +0200

fflas-ffpack (2.3.2-1~exp3) experimental; urgency=medium

  * Team upload.
  * Enable OpenMP, SSE and SSE2.
  * Depend on latest givaro revision.

 -- Tobias Hansen <thansen@debian.org>  Wed, 06 Jun 2018 15:06:43 +0200

fflas-ffpack (2.3.2-1~exp2) experimental; urgency=medium

  * debian/control
    - Add libgivaro-dev (>= 4.0.3) to Depends (Closes: #894905).
    - Add note about the versioned dependency to help avoid this mistake
      in the future.
    - Bump Standards-Version to 4.1.4.
  * debian/rules
    - Replace the --disable-simd configure option, which has been removed,
      with options to disable each individual instruction set.

 -- Doug Torrance <dtorrance@piedmont.edu>  Thu, 05 Apr 2018 09:31:18 -0400

fflas-ffpack (2.3.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/compat
    - Bump debhelper compatibility level to 10.
  * debian/control
    - Update Vcs-* after migration to Salsa.
    - Bump versioned dependency on debhelper to >= 10.
    - Remove dh-autoreconf from Build-Depends; automatic with
      debhelper 10.
    - Remove max versioned dependency on libgivaro-dev and bump
      min to 4.0.3.
    - Bump Standards-Version to 4.1.3.
  * debian/fflas-ffpack*.install
    - Adjust installed header files.
  * debian/patches
    - Remove patches which have been merged upstream.
    - skip-fgemm-check-tests.patch: Skip tests which fail due to
      an unresolved upstream issue.
  * debian/rules
    - Remove call to dh-autoreconf; now automatic with debhelper 10.
  * debian/tests/upstream-tests
    - Add new tests.
    - No longer need to specify path to include Mathio.h.

 -- Doug Torrance <dtorrance@piedmont.edu>  Wed, 10 Jan 2018 18:04:29 -0500

fflas-ffpack (2.2.2-5) unstable; urgency=medium

  * debian/control
    - Bump Standards-Version to 4.0.0.
    - Switch build dependency on texlive-math-extra to texlive-science
      (Closes: #867086).
  * debian/patches/add-include-functional-to-test-utils.h.patch
    - New patch; fixes FTBFS with GCC 7 (Closes: #853399).
  * debian/rules
    - Remove -fno-strict-aliasing from CXXFLAGS; it ended up not helping
      the armel build.
  * debian/tests/upstream-tests
    - Add new tests included in version 2.2.2.
    - Simplify by using implicit make rules.
    - Add allow-stderr to Restrictions.  The tests output logs to stderr,
      causing false positives.
    - Don't redirect stdout to /dev/null; may provide useful information.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 11 Jul 2017 07:12:49 -0400

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,27 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Lifeng Sun <lifongsun@gmail.com>,
            Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                libblas-dev,
-               libgivaro-dev (<< 4.0.3),
-               libgivaro-dev (>= 4.0.1),
+# keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
+# (also in Depends)
+               libgivaro-dev (>= 4.0.4-1~exp2),
                libgmp-dev,
                liblapack-dev,
                pkg-config
-Build-Depends-Indep: doxygen-latex, texlive-math-extra
-Standards-Version: 3.9.8
+Build-Depends-Indep: doxygen-latex, texlive-science
+Standards-Version: 4.2.1
 Homepage: http://linbox-team.github.io/fflas-ffpack/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/fflas-ffpack.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/fflas-ffpack.git
+Vcs-Git: https://salsa.debian.org/science-team/fflas-ffpack.git
+Vcs-Browser: https://salsa.debian.org/science-team/fflas-ffpack
 
 Package: fflas-ffpack
 Architecture: any
-Depends: fflas-ffpack-common (= ${source:Version}), ${misc:Depends}
+Depends: fflas-ffpack-common (= ${source:Version}),
+# keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
+# (also in Build-Depends)
+         libgivaro-dev (>= 4.0.4-1~exp2),
+         ${misc:Depends}
 Suggests: fflas-ffpack-dev-doc, fflas-ffpack-user-doc
 Description: Finite field linear algebra subroutines/package
  FFLAS-FFPACK consists in the creation of a set of routines, giving

## fflas-ffpack 2.4.3

=== debian/changelog ===
fflas-ffpack (2.4.3-2) unstable; urgency=medium

  * debian/compat
    - Remove file; no longer necessary.
  * debian/control
    - Use debhelper-compat in Build-Depends and bump compatibility
      level to 13.
    - Add jdupes to Build-Depends.
    - Bump Standards-Version to 4.5.0.
    - Add Rules-Requires-Root field.
  * debian/fflas-ffpack-user-doc.examples
    - New file; install examples.
  * debian/patches/no-test-echelon.patch
    - New patch; skip failing test (Closes: #967088).
  * debian/patches/reproducible-build.patch
    - New patch; remove CXXFLAGS from fflas-ffpack-config script for
      reproducibility.
  * debian/rules
    - Remove override_dh_autoreconf target; it was patching out some
      tests that were failing on big-endian 32-bit architectures, but
      this issue was fixed upstream with the release of version 2.4.3.
    - Call jdupes after building documentation to symlink duplicate files.
  * debian/salsa-ci.yml
    - Add Salsa pipelines config file.
  * debian/tests/upstream-tests
    - Add new tests introduced in 2.4.3 and skip test-echelon.
    - Clean test directory before building tests during autopkgtest.
      If they were still present from the build, then the tests wouldn't
      build and autopkgtest would fail.
  * debian/upstream/metadata
    - Add Repository and Bug-Database fields.

 -- Doug Torrance <dtorrance@piedmont.edu>  Fri, 04 Sep 2020 14:34:02 -0400

fflas-ffpack (2.4.3-1) unstable; urgency=medium

  * Team upload.

  [ Doug Torrance ]
  * debian/control
    - Remove Lifeng Sun from Uploaders (Closes: #925120).

  [ Tobias Hansen ]
  * New upstream release.
  * Remove fix-fgemm-check-tests.patch (applied upstream).
  * Build-Depend on libgivaro-dev (>= 4.1.1).

 -- Tobias Hansen <thansen@debian.org>  Wed, 11 Sep 2019 14:55:43 +0200

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,29 @@
 Section: math
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Lifeng Sun <lifongsun@gmail.com>,
-           Doug Torrance <dtorrance@piedmont.edu>
-Build-Depends: debhelper (>= 11),
+Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Build-Depends: debhelper-compat (= 13),
+               jdupes,
                libblas-dev,
 # keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
 # (also in Depends)
-               libgivaro-dev (>= 4.0.4-1~exp2),
+               libgivaro-dev (>= 4.1.1),
                libgmp-dev,
                liblapack-dev,
                pkg-config
 Build-Depends-Indep: doxygen-latex, texlive-science
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://linbox-team.github.io/fflas-ffpack/
 Vcs-Git: https://salsa.debian.org/science-team/fflas-ffpack.git
 Vcs-Browser: https://salsa.debian.org/science-team/fflas-ffpack
+Rules-Requires-Root: no
 
 Package: fflas-ffpack
 Architecture: any
 Depends: fflas-ffpack-common (= ${source:Version}),
 # keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
 # (also in Build-Depends)
-         libgivaro-dev (>= 4.0.4-1~exp2),
+         libgivaro-dev (>= 4.1.1),
          ${misc:Depends}
 Suggests: fflas-ffpack-dev-doc, fflas-ffpack-user-doc
 Description: Finite field linear algebra subroutines/package

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

DISABLE_INSTRUCTION_SETS = \
	--disable-sse3     \
	--disable-ssse3    \
	--disable-sse41    \
	--disable-sse42    \
	--disable-avx      \
	--disable-avx2     \
	--disable-fma      \
	--disable-fma4

ifeq ($(DEB_HOST_ARCH),i386)
DISABLE_INSTRUCTION_SETS := \
	--disable-sse      \
	--disable-sse2     \
	$(DISABLE_INSTRUCTION_SETS)
endif

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-all \
		--with-blas-libs="-lblas -llapack"    \
		$(DISABLE_INSTRUCTION_SETS)

override_dh_auto_build-indep:
	dh_testdir
	$(MAKE) docs_dev
	jdupes -l doc/fflas-ffpack-dev-html
	jdupes -l doc/fflas-ffpack-html

override_dh_installdocs:
	dh_installdocs --doc-main-package=fflas-ffpack -pfflas-ffpack-dev-doc
	dh_installdocs --doc-main-package=fflas-ffpack -pfflas-ffpack-user-doc
	dh_installdocs --remaining-packages

%:
	dh $@

## fflas-ffpack 2.5.0

=== debian/changelog ===
fflas-ffpack (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/gbp.conf
    - Fix debian-branch (master, not debian/master, on Salsa).
  * debian/tests/upstream-tests
    - Skip the tests that we also skip during dh_auto_test; see
      d/p/skip-failing-tests.patch.
  * debian/salsa-ci.yml
    - Stop setting RELEASE to 'experimental'.

 -- Doug Torrance <dtorrance@debian.org>  Thu, 16 Dec 2021 06:51:49 -0500

fflas-ffpack (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control
    - Update my email address; now a Debian Developer.
    - Update Maintainer to Debian Math Team.
    - Update Vcs-* fields (science-team -> math-team).
  * debian/copyright
    - Add myself to copyright holders for debian/*.
    - Convert leading tabs to spaces.
  * debian/gbp.conf
    - New file; set debian-branch and pristine-tar.
  * debian/patches/skip-failing-tests.patch
    - Refresh for new upstream release.
  * debian/rules
    - Remove DH_VERBOSE cruft.
  * debian/rules
    - Add --without-archnative option to configure; disables
      -march=native/-mcpu=native.

 -- Doug Torrance <dtorrance@debian.org>  Sun, 05 Dec 2021 22:41:46 -0500

fflas-ffpack (2.5.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate.
  * debian/control
    - Bump versioned dependencies on libgivaro-dev to 4.1.2.
    - Bump Standards-Version to 4.6.0.
  * debian/patches/reproducible-build.patch
    - Remove patch; applied upstream.
  * debian/patches/skip-failing-tests.patch
    - Renamed from d/p/no-test-echelon.patch; includes other failing tests
      (test-charpoly-check, test-fsytrf, and test-fsyrk).
  * debian/rules
    - Stop passing various options to configure script to disable
      instruction sets; these options have been removed upstream.
  * debian/salsa-ci.yml
    - Set RELEASE to 'experimental' for now.
  * debian/watch
    - Use @ANY_VERSION@ special string in regular expression; previously we
      only matched versions with numeric characters.
    - Add uversionmangle option to insert tilde for release candidates.

 -- Doug Torrance <dtorrance@piedmont.edu>  Tue, 24 Aug 2021 10:34:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: fflas-ffpack
 Section: math
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Doug Torrance <dtorrance@piedmont.edu>
+Maintainer: Debian Math Team <team+math@tracker.debian.org>
+Uploaders: Doug Torrance <dtorrance@debian.org>
 Build-Depends: debhelper-compat (= 13),
                jdupes,
                libblas-dev,
 # keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
 # (also in Depends)
-               libgivaro-dev (>= 4.1.1),
+               libgivaro-dev (>= 4.1.2~),
                libgmp-dev,
                liblapack-dev,
                pkg-config
 Build-Depends-Indep: doxygen-latex, texlive-science
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://linbox-team.github.io/fflas-ffpack/
-Vcs-Git: https://salsa.debian.org/science-team/fflas-ffpack.git
-Vcs-Browser: https://salsa.debian.org/science-team/fflas-ffpack
+Vcs-Git: https://salsa.debian.org/math-team/fflas-ffpack.git
+Vcs-Browser: https://salsa.debian.org/math-team/fflas-ffpack
 Rules-Requires-Root: no
 
 Package: fflas-ffpack
@@ -24,7 +24,7 @@
 Depends: fflas-ffpack-common (= ${source:Version}),
 # keep libgivaro-dev versioned dependency in sync with fflas-ffpack.pc.in
 # (also in Build-Depends)
-         libgivaro-dev (>= 4.1.1),
+         libgivaro-dev (>= 4.1.2~),
          ${misc:Depends}
 Suggests: fflas-ffpack-dev-doc, fflas-ffpack-user-doc
 Description: Finite field linear algebra subroutines/package

=== debian/tests/control ===
Tests: upstream-tests
Depends: build-essential,fflas-ffpack, libgmp-dev, libgivaro-dev, libblas-dev,
	 liblapack-dev, pkg-config
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/rc/~rc/ \
https://github.com/linbox-team/fflas-ffpack/releases \
 (?:.*?/)?v?@ANY_VERSION@\.tar\.gz
